org.apache.poi.hemf.record.emf

## Enum HemfRecordType

- java.lang.Object
- - java.lang.Enum<HemfRecordType>
  - - org.apache.poi.hemf.record.emf.HemfRecordType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfRecordType>

      @Internal
      public enum HemfRecordType
      extends java.lang.Enum<HemfRecordType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `abortPath`
    `alphaBlend`
    `anglearc`
    `arc`
    `arcTo`
    `beginPath`
    `bitBlt`
    `chord`
    `closeFigure`
    `colorcorrectpalette`
    `colormatchtargetw`
    `comment`
    `createBrushIndirect`
    `createcolorspace`
    `createcolorspacew`
    `createDibPatternBrushPt`
    `createMonoBrush`
    `createPalette`
    `createPen`
    `deletecolorspace`
    `deleteobject`
    `drawescape`
    `ellipse`
    `endPath`
    `eof`
    `extCreateFontIndirectW`
    `extCreatePen`
    `extescape`
    `extFloodFill`
    `extSelectClipRgn`
    `extTextOutA`
    `extTextOutW`
    `fillPath`
    `fillRgn`
    `flattenPath`
    `forceufimapping`
    `frameRgn`
    `glsboundedrecord`
    `glsrecord`
    `gradientfill`
    `header`
    `invertRgn`
    `lineTo`
    `maskblt`
    `modifyWorldTransform`
    `namedescape`
    `paintRgn`
    `pie`
    `pixelformat`
    `plgblt`
    `polyBezier`
    `polyBezier16`
    `polyBezierTo`
    `polyBezierTo16`
    `polyDraw`
    `polyDraw16`
    `polygon`
    `polygon16`
    `polyline`
    `polyline16`
    `polylineTo`
    `polylineTo16`
    `polyPolygon`
    `polyPolygon16`
    `polyPolyline`
    `polyPolyline16`
    `polytextouta`
    `polytextoutw`
    `realizePalette`
    `rectangle`
    `resizePalette`
    `restoreDc`
    `roundRect`
    `saveDc`
    `scaleViewportExtEx`
    `scaleWindowExtEx`
    `selectClipPath`
    `selectObject`
    `selectPalette`
    `setarcdirection`
    `setBkColor`
    `setBkMode`
    `setBrushOrgEx`
    `setcoloradjustment`
    `setcolorspace`
    `setDiBitsToDevice`
    `setExcludeClipRect`
    `seticmmode`
    `seticmprofilea`
    `seticmprofilew`
    `setIntersectClipRect`
    `setlayout`
    `setlinkdufis`
    `setMapMode`
    `setMapperFlags`
    `setmetargn`
    `setMiterLimit`
    `setMoveToEx`
    `setOffsetClipRgn`
    `setPaletteEntries`
    `setPixelV`
    `setPolyfillMode`
    `setRop2`
    `setStretchBltMode`
    `setTextAlign`
    `setTextColor`
    `settextjustification`
    `setViewportExtEx`
    `setViewportOrgEx`
    `setWindowExtEx`
    `setWindowOrgEx`
    `setWorldTransform`
    `smalltextout`
    `stretchBlt`
    `stretchDiBits`
    `strokeAndFillPath`
    `strokePath`
    `transparentblt`
    `widenPath`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.function.Supplier<? extends HemfRecord>` | `constructor`
    `long` | `id`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HemfRecordType` | `getById(long id)`
    `static HemfRecordType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfRecordType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### header

          public static final HemfRecordType header

    - #### polyBezier

          public static final HemfRecordType polyBezier

    - #### polygon

          public static final HemfRecordType polygon

    - #### polyline

          public static final HemfRecordType polyline

    - #### polyBezierTo

          public static final HemfRecordType polyBezierTo

    - #### polylineTo

          public static final HemfRecordType polylineTo

    - #### polyPolyline

          public static final HemfRecordType polyPolyline

    - #### polyPolygon

          public static final HemfRecordType polyPolygon

    - #### setWindowExtEx

          public static final HemfRecordType setWindowExtEx

    - #### setWindowOrgEx

          public static final HemfRecordType setWindowOrgEx

    - #### setViewportExtEx

          public static final HemfRecordType setViewportExtEx

    - #### setViewportOrgEx

          public static final HemfRecordType setViewportOrgEx

    - #### setBrushOrgEx

          public static final HemfRecordType setBrushOrgEx

    - #### eof

          public static final HemfRecordType eof

    - #### setPixelV

          public static final HemfRecordType setPixelV

    - #### setMapperFlags

          public static final HemfRecordType setMapperFlags

    - #### setMapMode

          public static final HemfRecordType setMapMode

    - #### setBkMode

          public static final HemfRecordType setBkMode

    - #### setPolyfillMode

          public static final HemfRecordType setPolyfillMode

    - #### setRop2

          public static final HemfRecordType setRop2

    - #### setStretchBltMode

          public static final HemfRecordType setStretchBltMode

    - #### setTextAlign

          public static final HemfRecordType setTextAlign

    - #### setcoloradjustment

          public static final HemfRecordType setcoloradjustment

    - #### setTextColor

          public static final HemfRecordType setTextColor

    - #### setBkColor

          public static final HemfRecordType setBkColor

    - #### setOffsetClipRgn

          public static final HemfRecordType setOffsetClipRgn

    - #### setMoveToEx

          public static final HemfRecordType setMoveToEx

    - #### setmetargn

          public static final HemfRecordType setmetargn

    - #### setExcludeClipRect

          public static final HemfRecordType setExcludeClipRect

    - #### setIntersectClipRect

          public static final HemfRecordType setIntersectClipRect

    - #### scaleViewportExtEx

          public static final HemfRecordType scaleViewportExtEx

    - #### scaleWindowExtEx

          public static final HemfRecordType scaleWindowExtEx

    - #### saveDc

          public static final HemfRecordType saveDc

    - #### restoreDc

          public static final HemfRecordType restoreDc

    - #### setWorldTransform

          public static final HemfRecordType setWorldTransform

    - #### modifyWorldTransform

          public static final HemfRecordType modifyWorldTransform

    - #### selectObject

          public static final HemfRecordType selectObject

    - #### createPen

          public static final HemfRecordType createPen

    - #### createBrushIndirect

          public static final HemfRecordType createBrushIndirect

    - #### deleteobject

          public static final HemfRecordType deleteobject

    - #### anglearc

          public static final HemfRecordType anglearc

    - #### ellipse

          public static final HemfRecordType ellipse

    - #### rectangle

          public static final HemfRecordType rectangle

    - #### roundRect

          public static final HemfRecordType roundRect

    - #### arc

          public static final HemfRecordType arc

    - #### chord

          public static final HemfRecordType chord

    - #### pie

          public static final HemfRecordType pie

    - #### selectPalette

          public static final HemfRecordType selectPalette

    - #### createPalette

          public static final HemfRecordType createPalette

    - #### setPaletteEntries

          public static final HemfRecordType setPaletteEntries

    - #### resizePalette

          public static final HemfRecordType resizePalette

    - #### realizePalette

          public static final HemfRecordType realizePalette

    - #### extFloodFill

          public static final HemfRecordType extFloodFill

    - #### lineTo

          public static final HemfRecordType lineTo

    - #### arcTo

          public static final HemfRecordType arcTo

    - #### polyDraw

          public static final HemfRecordType polyDraw

    - #### setarcdirection

          public static final HemfRecordType setarcdirection

    - #### setMiterLimit

          public static final HemfRecordType setMiterLimit

    - #### beginPath

          public static final HemfRecordType beginPath

    - #### endPath

          public static final HemfRecordType endPath

    - #### closeFigure

          public static final HemfRecordType closeFigure

    - #### fillPath

          public static final HemfRecordType fillPath

    - #### strokeAndFillPath

          public static final HemfRecordType strokeAndFillPath

    - #### strokePath

          public static final HemfRecordType strokePath

    - #### flattenPath

          public static final HemfRecordType flattenPath

    - #### widenPath

          public static final HemfRecordType widenPath

    - #### selectClipPath

          public static final HemfRecordType selectClipPath

    - #### abortPath

          public static final HemfRecordType abortPath

    - #### comment

          public static final HemfRecordType comment

    - #### fillRgn

          public static final HemfRecordType fillRgn

    - #### frameRgn

          public static final HemfRecordType frameRgn

    - #### invertRgn

          public static final HemfRecordType invertRgn

    - #### paintRgn

          public static final HemfRecordType paintRgn

    - #### extSelectClipRgn

          public static final HemfRecordType extSelectClipRgn

    - #### bitBlt

          public static final HemfRecordType bitBlt

    - #### stretchBlt

          public static final HemfRecordType stretchBlt

    - #### maskblt

          public static final HemfRecordType maskblt

    - #### plgblt

          public static final HemfRecordType plgblt

    - #### setDiBitsToDevice

          public static final HemfRecordType setDiBitsToDevice

    - #### stretchDiBits

          public static final HemfRecordType stretchDiBits

    - #### extCreateFontIndirectW

          public static final HemfRecordType extCreateFontIndirectW

    - #### extTextOutA

          public static final HemfRecordType extTextOutA

    - #### extTextOutW

          public static final HemfRecordType extTextOutW

    - #### polyBezier16

          public static final HemfRecordType polyBezier16

    - #### polygon16

          public static final HemfRecordType polygon16

    - #### polyline16

          public static final HemfRecordType polyline16

    - #### polyBezierTo16

          public static final HemfRecordType polyBezierTo16

    - #### polylineTo16

          public static final HemfRecordType polylineTo16

    - #### polyPolyline16

          public static final HemfRecordType polyPolyline16

    - #### polyPolygon16

          public static final HemfRecordType polyPolygon16

    - #### polyDraw16

          public static final HemfRecordType polyDraw16

    - #### createMonoBrush

          public static final HemfRecordType createMonoBrush

    - #### createDibPatternBrushPt

          public static final HemfRecordType createDibPatternBrushPt

    - #### extCreatePen

          public static final HemfRecordType extCreatePen

    - #### polytextouta

          public static final HemfRecordType polytextouta

    - #### polytextoutw

          public static final HemfRecordType polytextoutw

    - #### seticmmode

          public static final HemfRecordType seticmmode

    - #### createcolorspace

          public static final HemfRecordType createcolorspace

    - #### setcolorspace

          public static final HemfRecordType setcolorspace

    - #### deletecolorspace

          public static final HemfRecordType deletecolorspace

    - #### glsrecord

          public static final HemfRecordType glsrecord

    - #### glsboundedrecord

          public static final HemfRecordType glsboundedrecord

    - #### pixelformat

          public static final HemfRecordType pixelformat

    - #### drawescape

          public static final HemfRecordType drawescape

    - #### extescape

          public static final HemfRecordType extescape

    - #### smalltextout

          public static final HemfRecordType smalltextout

    - #### forceufimapping

          public static final HemfRecordType forceufimapping

    - #### namedescape

          public static final HemfRecordType namedescape

    - #### colorcorrectpalette

          public static final HemfRecordType colorcorrectpalette

    - #### seticmprofilea

          public static final HemfRecordType seticmprofilea

    - #### seticmprofilew

          public static final HemfRecordType seticmprofilew

    - #### alphaBlend

          public static final HemfRecordType alphaBlend

    - #### setlayout

          public static final HemfRecordType setlayout

    - #### transparentblt

          public static final HemfRecordType transparentblt

    - #### gradientfill

          public static final HemfRecordType gradientfill

    - #### setlinkdufis

          public static final HemfRecordType setlinkdufis

    - #### settextjustification

          public static final HemfRecordType settextjustification

    - #### colormatchtargetw

          public static final HemfRecordType colormatchtargetw

    - #### createcolorspacew

          public static final HemfRecordType createcolorspacew

  - ### Field Detail

    - #### id

          public final long id

    - #### constructor

          public final java.util.function.Supplier<? extends HemfRecord> constructor

  - ### Method Detail

    - #### values

          public static HemfRecordType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfRecordType c : HemfRecordType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfRecordType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getById

          public static HemfRecordType getById(long id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.